//-------------------------------------------------------------------------
// (C) ESHED ROBOTEC (1982) LTD.
// 
//
// Written & designed by Dimo L. Vasilenko
// Created 12.01.95
//
// VC2_GPPS.H
//-------------------------------------------------------------------------

#ifndef __VC2_GPPS_H
#define __VC2_GPPS_H



class PNPListItem{
	public:
		char szNameLg[16];
		UINT uiExternalID;
		UINT uiCapacity;
		PNPListItem() { *szNameLg = 0; uiExternalID = 0; uiCapacity = 0; }
		virtual ~PNPListItem() {}
		BOOL operator == ( const PNPListItem & a ) const	{
		return strcmp( szNameLg, a.szNameLg ) == 0 &&
			 uiExternalID == a.uiExternalID		 &&
			 uiCapacity == a.uiCapacity;
	}
};

class PartListItem{
  public:
  char szName[16];
  UINT uiPartID;
  PartListItem() { *szName = 0; uiPartID = 0; }
  virtual ~PartListItem() {}
  BOOL operator == ( const PartListItem & a ) const	{
	  return strcmp( szName, a.szName ) == 0 &&
			             uiPartID == a.uiPartID;
  }
};

class VC2_IniFileReader{
	private:
		char szIniFile[MAXPATH];
		char szOpenCimIniFile[MAXPATH];
		BOOL bOpenCimIniFileDefault;

	public:
		VC2_IniFileReader( char *IniFile );
		VC2_IniFileReader(){}

		char * GetFile() { return szIniFile; }
		LPSTR    Init( char *IniFile, BOOL bIsCurrent = TRUE );
		int    GetString( LPCSTR lpszSection, LPCSTR lpszEntry,
					LPSTR lpszReturnBuffer, int cbReturnBuffer );
		int    WriteString( LPCSTR lpszSection, LPCSTR lpszEntry,
						  LPSTR lpszString );
		int    GetPrivateProfileString( LPCSTR lpszSection, LPCSTR lpszEntry,
		LPCSTR lpszDefault, LPSTR lpszReturnBuffer, int cbReturnBuffer,
		LPCSTR lpszFilename );
		int    WritePrivateProfileString( LPCSTR lpszSection, LPCSTR lpszEntry,
		LPSTR lpszString,LPCSTR lpszFilename );
		~VC2_IniFileReader(){};
};



#endif
