// ComFlags.cpp: implementation of the CComFlags class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "remote control.h"
#include "communication_flags.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CComFlags::CComFlags()
{
	m_h_com = NULL;
	m_h_end_thread_event = CreateEvent(NULL,FALSE,FALSE,NULL); // If to terminate receiving thread
}

CComFlags::~CComFlags()
{
	if (m_h_com)
		CloseHandle(m_h_com);
	CloseHandle(m_h_end_thread_event);
}
